Bug 1138978 - [rfe] maybe you meant?
Summary: [rfe] maybe you meant?
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: Jaroslav Mracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature, Reopened, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-07 03:49 UTC by Rahul Sundaram
Modified: 2017-07-25 16:55 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-07-25 16:55:39 UTC


Attachments (Terms of Use)

Description Rahul Sundaram 2014-09-07 03:49:24 UTC
Description of problem:


#sudo yum  install gconf2
Loaded plugins: fastestmirror, langpacks, tmprepo
Loading mirror speeds from cached hostfile
...
No package gconf2 available.
  * Maybe you meant: GConf2
Error: Nothing to do

#sudo dnf install gconf2
No package gconf2 available.
Error: Nothing to do.

Comment 1 Honza Silhan 2014-09-08 12:00:35 UTC
Hi, we could do that, preferably by plugin. Now we have more important bugs to solve so low prio.

Comment 2 Bruno Wolff III 2015-04-07 16:28:02 UTC
As noted in bug 1208918 dnf stops processing the command line arguments at the first unknown package and only tells you about that one, not all of problem names. This doesn't work conveniently when a large list of names is given with several that are no longer packages and you find out about them one at a time.

Comment 3 Radek Holy 2015-04-08 05:57:40 UTC
This is a bit different thing since with the current implementation, it's very likely that this feature would also work just for the first package that wasn't found. I'd prefer to track it in its own report (bug 1208918).

Comment 4 Fedora Admin XMLRPC Client 2016-07-08 09:26:49 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Jaroslav Mracek 2017-06-19 11:56:07 UTC
I created a pull-request that should provide requested feature: https://github.com/rpm-software-management/dnf/pull/846

Comment 6 Fedora Update System 2017-07-24 14:51:10 UTC
libdnf-0.9.3-1.fc26 dnf-plugins-core-2.1.3-1.fc26 dnf-2.6.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6f4c06b2d7

Comment 7 Fedora Update System 2017-07-25 04:26:49 UTC
dnf-2.6.2-1.fc26, dnf-plugins-core-2.1.3-1.fc26, libdnf-0.9.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6f4c06b2d7

Comment 8 Fedora Update System 2017-07-25 16:55:39 UTC
dnf-2.6.2-1.fc26, dnf-plugins-core-2.1.3-1.fc26, libdnf-0.9.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.